[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Destroy

Removes an instance of the hashlist from the heap

## Declaration

Source position: contnrs.pp line 232

`public destructor TFPHashList.Destroy; override;`

## Description

Destroy cleans up the memory structures maintained by the hashlist and removes the TFPHashList instance from the heap.

Destroy should not be called directly, it's better to use Free or FreeAndNil instead.

## See also

TFPHashList.Create |  | Create a new instance of the hashlist
TFPHashList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014